Bug 451007 - FEAT: RHEL 5.3 HDA ALSA driver update from mainstream
FEAT: RHEL 5.3 HDA ALSA driver update from mainstream
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Jaroslav Kysela
Martin Jenner
:
: 253006 367071 437327 438465 445883 (view as bug list)
Depends On:
Blocks: 253006 367071 437327 438465 445883 RHEL5u3_relnotes 455516 456215 461134
  Show dependency treegraph
 
Reported: 2008-06-12 07:30 EDT by Jaroslav Kysela
Modified: 2009-01-20 14:56 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Intel® High Definition Audio driver in ALSA has been updated.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:56:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ALSA HDA driver update for RHEL 5.3 (864.74 KB, patch)
2008-06-12 08:06 EDT, Jaroslav Kysela
no flags Details | Diff
rawhide output (11.25 KB, text/plain)
2008-08-06 08:18 EDT, Anton Arapov
no flags Details
rhel output (12.61 KB, text/plain)
2008-08-06 08:18 EDT, Anton Arapov
no flags Details

  None (edit)
Description Jaroslav Kysela 2008-06-12 07:30:56 EDT
HDA ALSA driver code update for RHEL 5.3

The goal is to backport HDA ALSA driver code from mainstream ALSA development to
RHEL 5.3 kernel. It will add support for new hardware (integrated soundcards on
motherboards and notebooks).
Comment 1 Jaroslav Kysela 2008-06-12 08:06:03 EDT
Created attachment 309053 [details]
ALSA HDA driver update for RHEL 5.3
Comment 4 Martin Stransky 2008-06-17 10:03:54 EDT
I've got this hardware from intel, is it supposed to work with this kernel?

00:1b.0 Audio device: Intel Corporation ICH10 HD Audio Controller
	Subsystem: Intel Corporation Device 0022
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at f0000000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
		Address: 0000000000000000  Data: 0000
	Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
			ClockPM- Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel
Comment 5 Jaroslav Kysela 2008-06-17 10:13:28 EDT
Yes, ICH10 should be supported.
Comment 6 Jaroslav Kysela 2008-06-20 05:38:24 EDT
Test kernels are available here:

http://people.redhat.com/jkysela/hdaUpdate2/
Comment 12 Don Zickus 2008-07-18 16:07:46 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 13 Lee Ha 2008-07-25 16:13:41 EDT
Ron, and Don

The kernel belwow would fix the Alsa issue of ICH10 

 kernel-2.6.18-99.el5.x86_64.rpm             23-Jul-2008 15:01  16.2M  RPM
package file


I am able to check the from and back speaker as well as recording.

This fixes the issue with ICH10 now.

Regards,

Lee
Comment 14 Anton Arapov 2008-08-05 04:01:06 EDT
sound does NOT work in the following kernels.
kernel-2.6.18-92.el5
kernel-2.6.18-99.el5
kernel-2.6.18-101.el5

the only thing I was able to get is noise by #dd if=/dev/urandom of=/dev/dsp 
volume controls does not have any influence on volume of the noise...

> lspci -vv
00:1b.0 Audio device: Intel Corporation ICH10 HD Audio Controller
        Subsystem: Intel Corporation Unknown device 0022
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 82
        Region 0: Memory at f0000000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000  Data: 0000
        Capabilities: [70] Express Unknown type IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <64ns, L1 <1us
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed unknown, Width x0, ASPM unknown, Port 0
                Link: Latency L0s <64ns, L1 <1us
                Link: ASPM Disabled CommClk- ExtSynch-
                Link: Speed unknown, Width x0
        Capabilities: [100] Virtual Channel
        Capabilities: [130] Unknown (5)

Jaroslav, this machine is close to me, let me know if you want to check something.
Also, sound is working on the latest rawhide kernel.
Comment 15 Jaroslav Kysela 2008-08-06 03:29:48 EDT
Anton, could you try kernel from bug#456215 ?
Comment 16 Anton Arapov 2008-08-06 04:52:11 EDT
ok, hereis the results:
kernel-2.6.18-98.el5.hdaUpdate3.x86_64 has the same behaviour as I described for -99 and -101 kernels.

But, I went further and discovered that all the kernels I mentioned has _working_ sound at the "black" jack, while I tried to get something from "green" one.

dunno, whether it's fine and solved. :) but I'm pointing to the difference between the kernel in rawhide and RHEL. in rawhide, I'm getting sound from "green" jack, and in RHEL - from "black". 

Cheers!
Comment 17 Jaroslav Kysela 2008-08-06 06:31:50 EDT
The driver in rawhide should be similar as in RHEL now. It might be just an configuration issue. Could you compare output from 'amixer controls' for RHEL and Rawhide kernels? Also, comparing output from 'cat /proc/asound/card0/codec#0' might help to identify this issue.
Comment 18 Anton Arapov 2008-08-06 08:18:30 EDT
Created attachment 313555 [details]
rawhide output

rawhide output of the #amixer controls and #cat /proc/asound/card0/codec#2
Comment 19 Anton Arapov 2008-08-06 08:18:56 EDT
Created attachment 313556 [details]
rhel output

RHEL5 output of the #amixer controls and #cat /proc/asound/card0/codec#2
Comment 20 Jaroslav Kysela 2008-08-06 09:34:26 EDT
Sorry, the right amixer command should be 'amixer -c 0 contents'. Anyway, 'Front' volume slider seems to be zero for RHEL kernel judging from the codec settings. Make sure that all mixer controls in 'alsamixer -c 0' command using the RHEL kernel match rawhide kernel. Thank you.
Comment 21 Anton Arapov 2008-08-07 07:22:55 EDT
ok. so, everything works just fine.
have no idea, how could I miss 'front' volume adjuster. I do remember I moved every of the adjusters to top.... but never mind

I confirm. hda_intel/rlt889 is supported on ICH10.
Comment 22 Peter Martuccelli 2008-08-07 16:11:27 EDT
*** Bug 437327 has been marked as a duplicate of this bug. ***
Comment 23 Martin Stransky 2008-08-14 03:25:31 EDT
Anton,

can you please run "alsaunmute" utility and check if the Front channel is enabled? (Put down all sliders in alsamixer and run alsaunmute, sound should be audible after that).
Comment 24 Anton Arapov 2008-08-15 05:00:58 EDT
yes, "alsaunmute" do the trick as expected. :)
Comment 25 Peter Martuccelli 2008-08-19 16:18:27 EDT
*** Bug 253006 has been marked as a duplicate of this bug. ***
Comment 26 Jaroslav Kysela 2008-08-21 03:29:54 EDT
*** Bug 367071 has been marked as a duplicate of this bug. ***
Comment 27 Peter Martuccelli 2008-09-04 09:24:47 EDT
*** Bug 445883 has been marked as a duplicate of this bug. ***
Comment 28 Jaroslav Kysela 2008-09-08 09:30:11 EDT
*** Bug 438465 has been marked as a duplicate of this bug. ***
Comment 32 Ryan Lerch 2008-10-09 21:57:23 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The Intel® High Definition Audio driver in ALSA has been updated.
Comment 33 Cameron Meadors 2008-10-15 15:42:36 EDT
Tested Tylersburg (ICH10 ALC889) and McCreary (ICH10 ALC889A) with RHEL5.3-Client-20081006.0 x86_64.  Rear output jack works on both, front only works on Tylersburg.  Mic jacks do not work at all.
Comment 35 Jane Lv 2008-12-10 03:53:49 EST
I tested Tylersburg-HEDT (ICH10 ALC888) with Snapshot5, RHEL5.3-Client-20081204 on both x86_64 and i386 arches. Both front and rear mic works on x86_64.  But on i386, there is much noise when playback.
Comment 36 Jane Lv 2008-12-25 00:34:48 EST
By RHEL5.3-SP6, one issue remaining of audio driver is multi-channel cannot work on McCreary with RHEL5.3 Client i386 version.  Only front right channel and front left channel have sound.  I opened a new bug #477899 tracking this issue.
Comment 38 errata-xmlrpc 2009-01-20 14:56:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.